--
-- $Id$
--
-- Update kostensoort van factuur 112685 naar CF CONS AUT-2.1.10.3(=key 5)

DEFINE thisfile = 'AAAH#38851.SQL'
DEFINE dbuser   = '^AAAH'
DEFINE custid   = 'AAAH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Update kostensoort van factuur 112685 naar CF CONS AUT-2.1.10.3 (=key 5)
UPDATE   fin_factuur
   SET   prs_kostensoort_key = 5
 WHERE   fin_factuur_key = 112685;
 
-- Voeg ook tracking toe. Key 89 = FINUPD 
 INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
  VALUES   (SYSDATE,
            89,
            112685,
            'Kostensoort op verzoek van AAFM aanpepast naar CF CONS AUT-2.1.10.3');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

-- @@ &custid